Visual Model Browser: Prefer a visual interface? Browse all models with filtering, search, and comparison.
Endpoint
GET /llm/v1/models
curl https://api.case.dev/llm/v1/models \
-H "Authorization: Bearer sk_case_YOUR_API_KEY"
casedev llm:v1 list-models
import Casedev from 'casedev';
const client = new Casedev({ apiKey: 'sk_case_YOUR_API_KEY' });
const { data: models } = await client.llm.v1.listModels();
for (const model of models) {
console.log(`${model.id}: $${model.pricing.input}/input, $${model.pricing.output}/output`);
}
import casedev
client = casedev.Casedev(api_key='sk_case_YOUR_API_KEY')
result = client.llm.v1.list_models()
for model in result.data:
print(f'{model.id}: ${model.pricing.input}/input, ${model.pricing.output}/output')
result, _ := client.Llm.V1.ListModels(ctx)
for _, model := range result.Data {
fmt.Printf("%s: $%s/input, $%s/output\n", model.ID, model.Pricing.Input, model.Pricing.Output)
}
Response
{
"object": "list",
"data": [
{
"id": "casemark/core-large",
"name": "CaseMark Core Large",
"description": "CaseMark's flagship legal reasoning model powered by Kimi K2.6",
"owned_by": "casemark",
"context_window": 200000,
"max_tokens": 128000,
"tags": ["reasoning", "legal", "tool-use"],
"pricing": {
"input": "0.0000015",
"output": "0.0000035"
}
},
{
"id": "openai/gpt-6-sol",
"name": "GPT-6 Sol",
"description": "OpenAI's current frontier model with vision, reasoning, and tool use",
"owned_by": "openai",
"context_window": 1050000,
"max_tokens": 128000,
"tags": ["vision", "reasoning", "tool-use"],
"pricing": {
"input": "0.000002",
"output": "0.00001"
}
}
]
}
Popular models
| Model | Context | Best for | Input $/MTok |
|---|---|---|---|
casemark/core-large | 200K | Legal reasoning, workflows | $1.50 |
openai/gpt-6.1-sol | 1M | Newest frontier model, agents | $2.00 |
openai/gpt-6-sol | 1M | Complex analysis, vision, tool use | $2.00 |
openai/gpt-6-astra | 1M | Hardest tasks | $10.00 |
openai/gpt-6-luna | 1M | Fast, cheap | $0.10 |
anthropic/claude-opus-5.5 | 1M | Deepest reasoning, long agent runs | $4.00 |
anthropic/claude-sonnet-5.5 | 1M | Balanced analysis, drafting, tool use | $2.00 |
anthropic/claude-haiku-5.5 | 1M | Fast, cheap | $0.10 |
google/gemini-3.8-flash | 1M | Long documents, multimodal | $0.75 |
google/gemini-3.1-flash-lite | 1M | Very long documents at lowest cost | $0.25 |
Model capabilities
| Tag | Meaning |
|---|---|
vision | Can process images |
tool-use | Supports function calling |
reasoning | Enhanced reasoning |
fast | Optimized for low latency |
legal | Fine-tuned for legal tasks |
Prices are per token. Multiply by 1,000,000 for price per million tokens (MTok).

